### File

`packages/eui/packages/components-next/src/lib/components/eui-table/eui-table.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterContentInit` `OnInit` `OnDestroy` `AfterViewInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
host | `{ }`
providers | `EuiTableSortService` `EuiTableSelectableRowService`
selector | `eui-table, table[euiTable]`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-table.component.html`

### Index

###### Properties

- _asyncTable
- _euiTableBordered
- _euiTableCards
- _euiTableCompact
- _euiTableDraggable
- _euiTableFixedLayout
- _euiTableResponsive
- _hasStickyHeader
- _paginable
- Public bodyTemplate
- Public emptyMessageTemplate
- Public filteredRows
- Public footerTemplate
- Public headerTemplate
- Public page
- Public pageSize
- Public showStickyHeader
- stickyHeaderRef
- templates
- theadRef

###### Methods

- Public filterRows
- Public onContentChanges
- Public selectAllRows
- Public selectRows
- Public trackByFn
- Public unselectAllRows

###### Inputs

- asyncTable
- euiTableBordered
- euiTableCards
- euiTableCompact
- euiTableDraggable
- euiTableFixedLayout
- euiTableResponsive
- filter
- hasStickyHeader
- loading
- paginable
- paginator
- preselectedRows
- rows
- scrollableContainerRef

###### Outputs

- selectedRows
- sortChange

###### HostBindings

- class

###### Accessors

- asyncTable
- paginable
- euiTableResponsive
- euiTableFixedLayout
- euiTableDraggable
- euiTableCards
- euiTableBordered
- euiTableCompact
- hasStickyHeader

### Constructor

`constructor(euiTableSortService: EuiTableSortService, cd: ChangeDetectorRef, renderer: Renderer2, euiTableSelectableRowService: EuiTableSelectableRowService)`

Parameters :

Name | Type | Optional
euiTableSortService | `EuiTableSortService` | No
cd | `ChangeDetectorRef` | No
renderer | `Renderer2` | No
euiTableSelectableRowService | `EuiTableSelectableRowService` | No

### Inputs

asyncTable

euiTableBordered

euiTableCards

euiTableCompact

euiTableDraggable

euiTableFixedLayout

euiTableResponsive

filter
Type : `EuiTableFilterComponent`

hasStickyHeader

loading
Default value : `false`

paginable

paginator
Type : `EuiTablePaginatorComponent`

preselectedRows
Type : `any[]`
Default value : `[]`

rows
Type : `any[]`

scrollableContainerRef
Type : `any`

### Outputs

selectedRows
Type : `EventEmitter`

sortChange
Type : `EventEmitter`

### HostBindings

class

### Methods

Public filterRows
`filterRows(filter: string, r: any[])`

Parameters :

Name | Type | Optional
filter | `string` | No
r | `any[]` | No

Returns : `any[]`

Public onContentChanges
`onContentChanges()`
Returns : `void`

Public selectAllRows
`selectAllRows()`
Returns : `void`

Public selectRows
`selectRows(rows: any[])`

Parameters :

Name | Type | Optional
rows | `any[]` | No

Returns : `void`

Public trackByFn
`trackByFn(index: number, item: any)`

Parameters :

Name | Type | Optional
index | `number` | No
item | `any` | No

Returns : `number`

Public unselectAllRows
`unselectAllRows()`
Returns : `void`

### Properties

_asyncTable
Default value : `false`

_euiTableBordered
Default value : `false`

_euiTableCards
Default value : `false`

_euiTableCompact
Default value : `false`

_euiTableDraggable
Default value : `false`

_euiTableFixedLayout
Default value : `false`

_euiTableResponsive
Default value : `false`

_hasStickyHeader
Default value : `false`

_paginable
Default value : `false`

Public bodyTemplate
Type : `TemplateRef<any>`

Public emptyMessageTemplate
Type : `TemplateRef<any>`

Public filteredRows
Type : `[]`
Default value : `[]`

Public footerTemplate
Type : `TemplateRef<any>`

Public headerTemplate
Type : `TemplateRef<any>`

Public page
Type : `number`
Default value : `0`

Public pageSize
Type : `number`
Default value : `0`

Public showStickyHeader
Default value : `false`

stickyHeaderRef
Type : `ElementRef<HTMLElement>`
Decorators : `@ViewChild('stickyHeaderRef')`

templates
Type : `QueryList<EuiTemplateDirective>`
Decorators : `@ContentChildren(EuiTemplateDirective)`

theadRef
Type : `ElementRef<HTMLElement>`
Decorators : `@ViewChild('theadRef')`

### Accessors

asyncTable
set `asyncTable(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

paginable
set `paginable(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

euiTableResponsive
set `euiTableResponsive(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

euiTableFixedLayout
set `euiTableFixedLayout(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

euiTableDraggable
set `euiTableDraggable(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

euiTableCards
set `euiTableCards(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

euiTableBordered
set `euiTableBordered(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

euiTableCompact
set `euiTableCompact(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

hasStickyHeader
set `hasStickyHeader(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""